Bug 125777 - Toolbar icons not displayed in gen
Summary: Toolbar icons not displayed in gen
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-07 12:19 UTC by Xisco Faulí
Modified: 2019-06-25 07:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (15.89 KB, image/png)
2019-06-07 12:19 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-07 12:19:22 UTC
Created attachment 152021 [details]
screenshot

See attached screenshot

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 6b911ae9eb9484bebbdc1323210020486f5ef33f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-07 12:21:03 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=710f3c63af2d8bee7d5e860614145799a3f0e491

author	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-03 22:52:05 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-06-06 18:15:01 +0200
commit	710f3c63af2d8bee7d5e860614145799a3f0e491 (patch)
tree	b04c4c91cc021980b9ae6c680b3a00130013d91b
parent	e2cb51bfbdc4b83ace14a5984f242c252ddd11b7 (diff)
tdf#125670 just check gradient clipping on drawing

Bisected with: bibisect-linux64-6.4

Adding Cc: to Jan-Marek Glogowski
Comment 2 Commit Notification 2019-06-21 13:55:23 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d25e5069176ab53cdc917e3501a81e9546ec46f7%5E%21

tdf#125777 restore old RenderContext before return

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-06-25 07:51:27 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jan-Marek Glogowski, thanks for fixing this issue!!